update legacy kernel of rk3588 to linux-5.10-gen-rkr3.4
This commit is contained in:
parent
2b9fca9117
commit
2bc8eee1ff
@ -14,7 +14,7 @@ case $BRANCH in
|
||||
BOOTDIR='u-boot-rockchip64'
|
||||
KERNELDIR='linux-rockchip64'
|
||||
KERNELSOURCE='https://github.com/radxa/kernel'
|
||||
KERNELBRANCH='branch:stable-5.10-rock5'
|
||||
KERNELBRANCH='branch:linux-5.10-gen-rkr3.4'
|
||||
KERNELPATCHDIR='rockchip-rk3588-legacy'
|
||||
|
||||
;;
|
||||
|
||||
@ -1,46 +0,0 @@
|
||||
diff --git a/scripts/lld-version.sh b/scripts/lld-version.sh
|
||||
index d70edb4d8..f1eeee450 100755
|
||||
--- a/scripts/lld-version.sh
|
||||
+++ b/scripts/lld-version.sh
|
||||
@@ -6,15 +6,32 @@
|
||||
# Print the linker version of `ld.lld' in a 5 or 6-digit form
|
||||
# such as `100001' for ld.lld 10.0.1 etc.
|
||||
|
||||
-linker_string="$($* --version)"
|
||||
+set -e
|
||||
|
||||
-if ! ( echo $linker_string | grep -q LLD ); then
|
||||
+# Convert the version string x.y.z to a canonical 5 or 6-digit form.
|
||||
+get_canonical_version()
|
||||
+{
|
||||
+ IFS=.
|
||||
+ set -- $1
|
||||
+
|
||||
+ # If the 2nd or 3rd field is missing, fill it with a zero.
|
||||
+ echo $((10000 * $1 + 100 * ${2:-0} + ${3:-0}))
|
||||
+}
|
||||
+
|
||||
+# Get the first line of the --version output.
|
||||
+IFS='
|
||||
+'
|
||||
+set -- $(LC_ALL=C "$@" --version)
|
||||
+
|
||||
+# Split the line on spaces.
|
||||
+IFS=' '
|
||||
+set -- $1
|
||||
+
|
||||
+while [ $# -gt 1 -a "$1" != "LLD" ]; do
|
||||
+ shift
|
||||
+done
|
||||
+if [ "$1" = LLD ]; then
|
||||
+ echo $(get_canonical_version ${2%-*})
|
||||
+else
|
||||
echo 0
|
||||
- exit 1
|
||||
fi
|
||||
-
|
||||
-VERSION=$(echo $linker_string | cut -d ' ' -f 2)
|
||||
-MAJOR=$(echo $VERSION | cut -d . -f 1)
|
||||
-MINOR=$(echo $VERSION | cut -d . -f 2)
|
||||
-PATCHLEVEL=$(echo $VERSION | cut -d . -f 3)
|
||||
-printf "%d%02d%02d\\n" $MAJOR $MINOR $PATCHLEVEL
|
||||
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
Loading…
Reference in New Issue
Block a user